Bug 1299708 - [Nimble Storage] Unnecessary wait on stand-by paths for TUR in rescan-scsi-bus.sh
[Nimble Storage] Unnecessary wait on stand-by paths for TUR in rescan-scsi-bu...
Status: NEW
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: sg3_utils (Show other bugs)
6.7
x86_64 Linux
unspecified Severity high
: rc
: ---
Assigned To: Gris Ge
guazhang@redhat.com
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-18 23:59 EST by shivamerla1
Modified: 2017-09-20 22:34 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description shivamerla1 2016-01-18 23:59:11 EST
Description of problem:
rescan-scsi-bus.sh has testonline() function which issues TUR and retry 8 times with an interval of 1 second sleep. This is causing a huge delay in scanning large number of volumes if stand-by paths are present. TUR on stand-by paths return 2/4/0b check condition. This condition needs to be handled in rescan-scsi-bus.sh and avoid looping in testonline().

Also, udevadm settle calls are hanging and taking long time to complete.
Comment 2 shivamerla1 2016-01-19 00:18:29 EST
testonline().
while test $RC = 2 -o $RC = 6 && test $ctr -le 2; do
    if test $RC = 2 -a "$RMB" != "1"; then echo -n "."; let LN+=1; sleep 1
    else usleep 20000; fi
    let ctr+=1
    sg_turs /dev/$SGDEV >/dev/null 2>&1
    RC=$?
  done


mpathje (215df250f8212599b6c9ce9001e319f94_1) dm-512 Nimble,Server
size=1.0G features='1 queue_if_no_path' hwhandler='1 alua' wp=rw
|-+- policy='round-robin 0' prio=50 status=active
| |- 6:0:4:78   sdcf  69:48    active ready  running
| `- 7:0:5:78   sdzq  131:576  active ready  running
`-+- policy='round-robin 0' prio=1 status=enabled
  |- 6:0:7:78   sdka  65:480   active ghost  running
  `- 7:0:0:78   sdrv  134:400  active ghost  running

[root@hitdev-rhel67 ~]# sg_turs -v  /dev/sdka
    test unit ready cdb: 00 00 00 00 00 00 
test unit ready:  Fixed format, current;  Sense key: Not Ready
 Additional sense: Logical unit not accessible, target port in standby state
  Info fld=0x0 [0] 
device not ready
Comment 3 David Sommerseth 2016-01-20 12:23:03 EST
I've had a brief discussion with upstream developers on this issue.  They are looking into this as well.
Comment 4 shivamerla1 2016-05-10 14:43:03 EDT
Can you provide any update on this?. Was the change made?.
Comment 6 Ondrej Vasik 2016-06-30 01:38:19 EDT
David left Red Hat - and we are in a process of searching for the new maintainer of sg3_utils package. Unfortunately - I don't see any clear pointer to David's discussion with upstream - based on lkml and recent activity, it seems sg3_utils is now maintained at https://github.com/hreinecke/sg3_utils ...
Comment 7 guazhang@redhat.com 2017-09-20 22:34:07 EDT
Hello

the sg3_utils testing has transfer to storage-QE team. so I will take the bug for  
testing.


thanks
guazhang

Note You need to log in before you can comment on or make changes to this bug.